import request from '@/utils/request'
import upload from '@/utils/upload'

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid
  }
  return request({
    'url': '/login',
    headers: {
      isToken: false
    },
    'method': 'post',
    'data': data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    'url': '/getInfo',
    'method': 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    'url': '/logout',
    'method': 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    'url': '/captchaImage',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}


// 用户注册
export function uploadRegister(data) {
  return upload({
    'url': '/registerMobile',
	headers: {
	  isToken: false
	},
	method: 'post',
    formData : data.formdata,
	name: data.name,
	filePath: data.file
  })
}

//获取手机号
export function getPhone(data) {
    return request({
        url: '/registerMobile/getPhone',
        method: 'get',
		data: data
    })
}
//校验注册信息
export function checkReg(phone) {
    return request({
        url: '/registerMobile/check/'+phone,
        method: 'get',
    })
}